Merchant API v1beta was discontinued and shut down on February 28, 2026. For steps to transition to the latest stable version, see
Migrate from v1beta to v1.
Method: accounts.onlineReturnPolicies.list
Stay organized with collections
Save and categorize content based on your preferences.
Lists all existing return policies for a given business.
HTTP request
GET https://merchantapi.googleapis.com/accounts/v1beta/{parent=accounts/*}/onlineReturnPolicies
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters |
parent |
string
Required. The Merchant Center account for which to list return policies. Format: accounts/{account}
|
Query parameters
| Parameters |
pageSize |
integer
Optional. The maximum number of OnlineReturnPolicy resources to return. The service returns fewer than this value if the number of return policies for the given business is less that than the pageSize. The default value is 10. The maximum value is 100; If a value higher than the maximum is specified, then the pageSize will default to the maximum
|
pageToken |
string
Optional. A page token, received from a previous onlineReturnPolicies.list call. Provide the page token to retrieve the subsequent page. When paginating, all other parameters provided to onlineReturnPolicies.list must match the call that provided the page token. The token returned as nextPageToken in the response to the previous request.
|
Request body
The request body must be empty.
Response body
Response message for the onlineReturnPolicies.list method.
If successful, the response body contains data with the following structure:
| JSON representation |
{
"onlineReturnPolicies": [
{
object (OnlineReturnPolicy)
}
],
"nextPageToken": string
} |
| Fields |
onlineReturnPolicies[] |
object (OnlineReturnPolicy)
The retrieved return policies.
|
nextPageToken |
string
A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.
|
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/content
For more information, see the OAuth 2.0 Overview.
Except as otherwise noted, the content of this page is licensed under the Creative Commons Attribution 4.0 License, and code samples are licensed under the Apache 2.0 License. For details, see the Google Developers Site Policies. Java is a registered trademark of Oracle and/or its affiliates.
Last updated 2025-06-06 UTC.
[null,null,["Last updated 2025-06-06 UTC."],[],["This document outlines how to retrieve a merchant's online return policies. To do so, a `GET` request is sent to `https://merchantapi.googleapis.com/accounts/v1beta/{parent=accounts/*}/onlineReturnPolicies`, with the merchant account specified in the `parent` path parameter. Optional query parameters include `pageSize` (default 10, max 100) and `pageToken` for pagination. The request body must be empty. A successful response includes an array of `onlineReturnPolicies` and a `nextPageToken` for further pagination. The request requires the `https://www.googleapis.com/auth/content` authorization scope.\n"]]